B.1.2 Dependencies for Red Hat Enterprise Linux 5

Some package dependencies for Red Hat Enterprise Linux 5 are part of a base installation.

ARM supports the use of the GCC 4.1 release packaged with Red Hat Enterprise Linux 5. ARM does not support the use of the Red Hat preview release of GCC 4.4 packaged with Red Hat Enterprise Linux 5. To use GCC 4.4 under Red Hat Enterprise Linux 5, use a compiler that is compatible with the official GCC 4.4.4 release from the Free Software Foundation. Please contact ARM if you are unable to source a compatible compiler.

Table B-1 Dependencies for Red Hat Enterprise Linux 5

Package Required for
glibc Fast Models tools and virtual platforms
libgcc Fast Models tools and virtual platforms
libstdc++ Fast Models tools and virtual platforms
libICE Fast Models tools and virtual platforms
libSM Fast Models tools and virtual platforms
libX11 Fast Models tools and virtual platforms
libXau Fast Models tools and virtual platforms
libXcursor Fast Models tools and virtual platforms
libXdmcp Fast Models tools and virtual platforms
libXext Fast Models tools and virtual platforms
libXfixes Fast Models tools and virtual platforms
libXrender Fast Models tools and virtual platforms
esound Fast Models tools and virtual platforms
make Fast Models tools
gcc Fast Models tools
gcc-c++ Fast Models tools
alsa-lib Fast Models virtual platforms
audiofile Fast Models virtual platforms
Non-ConfidentialPDF file icon PDF versionARM DUI0370S
Copyright © 2007-2014 ARM. All rights reserved.